CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us



CrossOver Mac
Discussion about CrossOver Mac

The following comments are owned by whoever posted them. We are not responsible for them in any way.


Reply to Thread Back to Threads

The install cannot continue because one or more dependencies are not installed, and an installer could not be found automaticall
Steve Thompson
Steve Thompson
Posted 2019-11-01 12:45
I'm on my macbook running macOS Mojave version 10.14.6 and using CrossOver version 16.2 (the latest version I own). This is a new computer, and I'm trying to install something for the first time. I'm trying to install Neverwinter Nights 2 (from gog.com), which I've done successfully before on my old macbook using the same version of CrossOver. However, when I get to the "Install & Finish" part of the Software Installer, the "Install" button is greyed out. When I go back to the "Select Installer" step, I see an error message which says "The install cannot continue because one or more dependencies are not installed, and an installer could not be found automatically."

If I click on "Edit Install Options..." I can see that there are additional items to install, which are DirectX for Modern Games, Microsoft .NET Framework 3.5 Service Pack 1, Microsoft Visual C++ 2005 (8.0) Redistributable, and Platform SDK Redistributable: GDI+. I can't figure out how to install these (assuming that's what the error message is about), since CrossOver has always installed dependencies automatically in the past.

Any help greatly appreciated.
Anna Lasky
Anna Lasky  Staff Member
Posted 2019-11-01 13:07
Hi Steve,

The dependency that is giving you trouble is Platform SDK Redistributable: GDI+.  Unfortunately, the installer was pulled down and we have not been able to find another legal source to link to.  You can click "Edit Install Option" on the left where the "Install" option is greyed out, and remove the defunct dependency.  If the game still works without it, please let me know so that I can update the CrossTie :D  Unfortunately,  I don't have a good alternate dependency to suggest at the moment (hence why the defunct dependency is still listed) :/

Thanks,
Anna

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

Please Wait...
eyJjYXJ0IjowLCJ0enMiOi02LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTcwNTQ3NzcwfQ==